OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000027OMNeT++examplespublic2008-12-07 13:152011-05-27 09:41
Reporterbaumgart 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0b8 
Target VersionFixed in Version 
Summary0000027: Generated Source-sink example with src folder doesn't contain ned-path
DescriptionIf you create a new OMNeT++-project with the IDE and select "Source-sink example with src folder" the generated project can't be started from the command line, because the ned-path is incomplete (started from the simulations/ directory with ../src/SimpleProject). Starting from the IDE works fine.
Additional InformationUbuntu 8.04
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000073)
mbergner (reporter)
2008-12-08 10:08

This is quite annoying as you always need the IDE to run simulations. You can solve this problem by doing a NEDPATH="/your:/paths" (+maybe LD_LIBRARY_PATH set correctly) ./binary -f /path/to/file.ini but it would be nice to be able to create a batch/shell script, that sets these variables automatically and keeps them updated as you expand the simulation.

That way, you can run everything from the cli and from the IDE
(0000074)
baumgart (reporter)
2008-12-08 10:16

Probably it would be more convenient to store the proper ned-path in the omnetpp.ini file.
(0000463)
rhornig (administrator)
2011-05-27 09:41

Added a *VERY SIMPLE* 'run' script to the simulation directory that adds the -n NEDPATH to the command line is . It is NOT kept in sync with the IDE as this cannot be done reliably. This is just an example, how a starter script should look like.

Adding the 'ned-path' in the ini would also solve this problem, but we opted against this as it would interfere with the ned path settings from the IDE (without the user knowing that she should also change the path in the INI file). We have chosen the 'least surprise' approach.

- Issue History
Date Modified Username Field Change
2008-12-07 13:15 baumgart New Issue
2008-12-08 10:08 mbergner Note Added: 0000073
2008-12-08 10:16 baumgart Note Added: 0000074
2009-10-09 15:34 rhornig Assigned To => rhornig
2009-10-09 15:34 rhornig Status new => confirmed
2011-05-20 10:19 rhornig Assigned To rhornig =>
2011-05-20 10:19 rhornig Assigned To => rhornig
2011-05-27 09:41 rhornig Note Added: 0000463
2011-05-27 09:41 rhornig Status confirmed => resolved
2011-05-27 09:41 rhornig Fixed in Version => 4.2b3
2011-05-27 09:41 rhornig Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker